> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit payment on a page

> Customer selects crypto asset and submits. Creates a payment session and returns it.



## OpenAPI

````yaml /openapi.json post /api/v1/p/{slug}/pay
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/p/{slug}/pay:
    post:
      tags:
        - Public Payment Pages
      summary: Submit payment on a page
      description: >-
        Customer selects crypto asset and submits. Creates a payment session and
        returns it.
      operationId: PublicPaymentController_pay
      parameters:
        - name: slug
          required: true
          in: path
          description: Page slug
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicPayDto'
      responses:
        '201':
          description: Payment session created successfully.
        '400':
          description: Validation failed or the request body/params were malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '404':
          description: The requested resource could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
components:
  schemas:
    PublicPayDto:
      type: object
      properties:
        asset:
          description: Cryptocurrency asset to pay with
          example: USDT
          allOf:
            - $ref: '#/components/schemas/WalletAsset'
        network:
          description: Blockchain network for the payment
          example: Tron
          allOf:
            - $ref: '#/components/schemas/WalletNetwork'
        amount:
          type: number
          description: Amount
          example: 50
        first_name:
          type: string
          description: Customer first name
          example: Billy
        last_name:
          type: string
          description: Customer last name
          example: James
        email:
          type: string
          description: Customer email
          example: james@example.com
        metadata:
          type: object
      required:
        - asset
        - network
        - first_name
        - last_name
        - email
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
    WalletAsset:
      type: string
      enum:
        - BTC
        - TRX
        - BNB
        - TON
        - USDT
        - ETH
        - USDC
        - SOL
      description: Cryptocurrency asset to pay with
    WalletNetwork:
      type: string
      enum:
        - Bitcoin
        - Binance_Smart_Chain
        - Ethereum
        - Solana
        - Tron
        - Base
        - Arbitrum
        - TON
      description: Blockchain network for the payment

````